%define name	glibwww
%define	major	1
%define version 0.2
%define release 8mdk

%define libname %mklibname %name %major

Summary: Libwww wrapper using glib event loop
Name: %name
Version: %{version}
Release: %{release}
Source0: ftp://www.gnome.org/pub/GNOME/sources/glibwww/%{name}-%{version}.tar.bz2
License: LGPL
Group: Graphical desktop/GNOME
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires:	db1-devel gnome-libs-devel openssl-devel w3c-libwww-devel zlib-devel
Requires: w3c-libwww

%description
Event register/unregister functions that use the glib event loop. 
This makes libwww fit nicely into just about any gnome or gtk+ program.

This code may be useful for other people wanting to use libwww with gtk. 

This code includes a nice bonobo control.

%package -n %libname
Summary: Libwww wrapper using glib event loop
Group: Graphical desktop/GNOME

%description -n %libname
Event register/unregister functions that use the glib event loop.
This makes libwww fit nicely into just about any gnome or gtk+ program.

This code may be useful for other people wanting to use libwww with gtk.

This code includes a nice bonobo control.

%package -n %libname-devel
Provides:		lib%{name}-devel
Summary:        Development libraries, header files and utilities for glibwww
Group:			Development/GNOME and GTK+
Requires:		%{libname} = %{version}-%release
Requires:		w3c-libwww-devel

%description -n %libname-devel
Development files for glibwww

Event register/unregister functions that use the glib event loop. 
This makes libwww fit nicely into just about any gnome or gtk+ program.



%prep
%setup -q

%build

%configure

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

%post   -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %libname
%defattr(-,root,root)
%doc COPYING README ChangeLog INSTALL AUTHORS 
%{_libdir}/*.so.*

%files -n %libname-devel
%defattr(-,root,root)
%{_libdir}/*.sh
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_includedir}/glibwww

%changelog
* Mon Aug 16 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2-8mdk
- Rebuild

* Fri Jul 18 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.2-7mdk
- Fix provides

* Sat Jul 12 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.2-6mdk
- rebuild for requires/provides

* Fri Jun 13 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.2-5mdk
- increase release, stupid me

* Fri Jun 13 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.2-4mdk
- rebuild for rpm 4.2
- cleanup

* Wed Jul 11 2001 Stefan van der Eijk <stefan@eijk.nu> 0.2-3mdk
- BuildRequires: db1-devel
- BuildRequires: openssl-devel
- BuildRequires: zlib-devel
- Remove BuildRequires:	ORBit-devel
- Remove BuildRequires:	glib-devel

* Mon Nov  6 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2-2mdk
- Add missing dependency of devel on w3c-libwww-devel
- Rename packages

* Wed Oct 25 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2-1mdk
- First Mandrake package


# end of file
